Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.apps.InOutBoard
Class InOutRecord

    java.lang.Object
      |
      +--context.apps.InOutBoard.InOutRecord

public class InOutRecord
extends java.lang.Object
implements cmp.QuickSort.Comparator

Constructor Summary
`InOutRecord(java.lang.String n, java.lang.String s, java.lang.String i)`

Method Summary
`int` | `compare(java.lang.Object a, java.lang.Object b)`
`boolean` | `equals(java.lang.Object a, java.lang.Object b)`
`java.lang.String` | `getInfo()`
`java.lang.String` | `getName()`
`java.lang.String` | `getStatus()`
`void` | `setInfo(java.lang.String i)`
`void` | `setName(java.lang.String n)`
`void` | `setStatus(java.lang.String s)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InOutRecord

    public InOutRecord(java.lang.String n,
                       java.lang.String s,
                       java.lang.String i)

Method Detail

### getName

    public java.lang.String getName()

### getStatus

    public java.lang.String getStatus()

### getInfo

    public java.lang.String getInfo()

### setName

    public void setName(java.lang.String n)

### setStatus

    public void setStatus(java.lang.String s)

### setInfo

    public void setInfo(java.lang.String i)

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### compare

    public final int compare(java.lang.Object a,
                             java.lang.Object b)

  Specified by:
    compare in interface cmp.QuickSort.Comparator

### equals

    public final boolean equals(java.lang.Object a,
                                java.lang.Object b)

  Specified by:
    equals in interface cmp.QuickSort.Comparator

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD